%define name		jftp
%define Name		j-ftp
%define fname		JFtp
%define version		1.21
%define release		1jpp
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define section		free

# These are needed in order to build successfully on non-Mandrake systems.
%{!?_menudir:		%define _menudir   %{_libdir}/menu}
%{!?_miconsdir:		%define _miconsdir %{_datadir}/icons/mini}
%{!?_iconsdir:		%define _iconsdir  %{_datadir}/icons}
%{!?_liconsdir:		%define _liconsdir %{_datadir}/icons/large}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:        JFtp is a swing ftp-client with a lot of useful features
License:        GPL
Url:            http://%{Name}.sf.net/
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:	JPackage
Source0:	http://osdn.dl.sourceforge.net/sourceforge/%{Name}/%{name}-%{version}.tar.gz
Source1:        %{name}-16.png
Source2:        %{name}-32.png
Source3:        %{name}-48.png
Patch0:		%{name}-what-are-all-these-java-guys-thinking?.patch
Requires:       log4j
BuildRequires:  log4j
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
JFtp is a graphical FTP client written in Java. It supports all the
basic FTP operations, and has some improved features such as recursive
directory upload, a nice swing UI, the ability to automatically resume
downloads, and the ability to recognize broken directory names. The API
is separated from the GUI and can also be used in third-party
applications or in a command-line mode.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%package mdkmenu
Summary:        Mandrake menu entry for %{name}
Group:          Development
Requires:       %{name} = %{version}-%{release}

%description mdkmenu
This is a Mandrake menu system entry for %{name}.

%package rhmenu
Summary:        Red Hat menu entry for %{name}
Group:          Development
Requires:       %{name} = %{version}-%{release}

%description rhmenu
This is a Red Hat menu system entry for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{Name}
%patch0 -p1 -b '~'
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

# I hate these things myself. What are these Linux guys thinking?
rm -rf src/images/.xvpics
rm -rf src/images/org/javalobby/icons/20x20/.xvpics

# To avoid name clashes
install -m 644 src/images/org/javalobby/icons/readme icons-readme
install -m 644 src/images/org/javalobby/icons/COPYRIGHT icons-COPYRIGHT

%build
export CLASSPATH=\
%{javadir}/log4j.jar

# Must clean first
ant clean
ant jars
ant javadoc

%install
# jar
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 build/jars/%{name}.jar \
$RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr doc/javadoc/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}

# script
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
cat > $RPM_BUILD_ROOT%{_bindir}/%{name} << EOF
#!/bin/sh
#
# %{name} script
# JPackage Project (http://jpackage.sourceforge.net)

# Source functions library
if [ -f %{_bindir}/java-functions ] ; then
  . %{_bindir}/java-functions
else
  echo "Can't find functions library, aborting"
  exit 1
fi

# Source system prefs
if [ -f %{_sysconfdir}/%{name}.conf ] ; then
  . %{_sysconfdir}/%{name}.conf
fi

# Source user prefs
if [ -f \$HOME/.%{name}rc ] ; then
  . \$HOME/.%{name}rc
fi

# Configuration
MAIN_CLASS="net.sf.jftp.JFtp"
BASE_JARS="log4j.jar %{name}.jar"

# Set parameters
set_jvm
set_classpath \$BASE_JARS

# Let's start
run "\$@"
EOF

# menus
# mdk icons
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# mdk menu
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
 command="%{_bindir}/%{name}"\
 needs="X11"\
 section="Networking/File transfer"\
 title="%{fname}"\
 longtitle="%{Summary}"\
 icon="%{name}.png"
EOF

# rh icons
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/%{name}.png

# rh menu
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Networking
cat >$RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Networking/%{name}.desktop <<EOF
[Desktop Entry]
Name=%{fname}
Comment=%{Summary}
Exec=%{_bindir}/%{name}
Terminal=0
Type=Application
Icon=%{name}.png
EOF

%post mdkmenu
%{update_menus}

%postun mdkmenu
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGELOG LICENSE readme TODO doc/*.txt icons-*
%attr(0755,root,root) %{_bindir}/%{name}
%{javadir}/*

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%files mdkmenu
%defattr(-,root,root)
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%files rhmenu
%defattr(-,root,root)
%{_sysconfdir}/X11/applnk/*/*
%{_datadir}/icons/*/*/apps/*

%changelog
* Tue Mar 25 2003 David Walluck <david@anti-microsoft.org> 1.21-1jpp
- 1.21

* Sun Mar 23 2003 David Walluck <david@anti-microsoft.org> 1.20-1jpp
- 1.20

* Fri Mar 14 2003 David Walluck <david@anti-microsoft.org> 1.13-1jpp
- 1.13
- no demos anymore
- I think the right icons are in the right directories now

* Sun Mar 09 2003 David Walluck <david@anti-microsoft.org> 1.09-1jpp
- 1.09

* Fri Feb 28 2003 David Walluck <david@anti-microsoft.org> 1.06-1jpp
- 1.06

* Wed Feb 26 2003 David Walluck <david@anti-microsoft.org> 1.04-1jpp
- 1.04
- demos work now
- use File.separator instead of "/" in patch

* Mon Feb 24 2003 David Walluck <david@anti-microsoft.org> 1.01-1jpp
- release
